com.genesyslab.wfm8.API.service.locator800

## Class LoginInfoEx

- java.lang.Object
- - com.genesyslab.wfm8.API.service.locator800.LoginInfoEx

- All Implemented Interfaces:
    java.io.Serializable

      public class LoginInfoEx
      extends java.lang.Object
      implements java.io.Serializable

  Login Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isAgent` Flag that defines, whether 'id' corresponds to CME Person object with isAgent flag set or not.
    `protected Location` | `location` Server location `Location`
    `protected java.lang.String` | `message` A message (if any).
    `private static long` | `serialVersionUID`
    `protected int` | `siteID` Contains Site ID of the agent.
    `protected int` | `userID` Corresponds to CME Person DBID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginInfoEx()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `Location` | `getLocation()` Gets the value of the location property.
    `java.lang.String` | `getMessage()` Gets the value of the message property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `int` | `getUserID()` Gets the value of the userID property.
    `int` | `hashCode()`
    `boolean` | `isIsAgent()` Gets the value of the isAgent property.
    `void` | `setIsAgent(boolean value)` Sets the value of the isAgent property.
    `void` | `setLocation(Location value)` Sets the value of the location property.
    `void` | `setMessage(java.lang.String value)` Sets the value of the message property.
    `void` | `setSiteID(int value)` Sets the value of the siteID property.
    `void` | `setUserID(int value)` Sets the value of the userID property.
    `java.lang.String` | `toString()`
    `LoginInfoEx` | `withIsAgent(boolean value)`
    `LoginInfoEx` | `withLocation(Location value)`
    `LoginInfoEx` | `withMessage(java.lang.String value)`
    `LoginInfoEx` | `withSiteID(int value)`
    `LoginInfoEx` | `withUserID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### location

          protected Location location

      Server location `Location`

    - #### message

          protected java.lang.String message

      A message (if any).

    - #### userID

          protected int userID

      Corresponds to CME Person DBID.

    - #### isAgent

          protected boolean isAgent

      Flag that defines, whether 'id' corresponds to CME Person object with isAgent flag set or not.

    - #### siteID

          protected int siteID

      Contains Site ID of the agent. It is zero if user is not agent.

  - ### Constructor Detail

    - #### LoginInfoEx

          public LoginInfoEx()

  - ### Method Detail

    - #### getLocation

          public Location getLocation()

      Gets the value of the location property.
      Returns:
        possible object is `Location`

    - #### setLocation

          public void setLocation(Location value)

      Sets the value of the location property.
      Parameters:
        `value` - allowed object is `Location`

    - #### getMessage

          public java.lang.String getMessage()

      Gets the value of the message property.
      Returns:
        possible object is `String`

    - #### setMessage

          public void setMessage(java.lang.String value)

      Sets the value of the message property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUserID

          public int getUserID()

      Gets the value of the userID property.

    - #### setUserID

          public void setUserID(int value)

      Sets the value of the userID property.

    - #### isIsAgent

          public boolean isIsAgent()

      Gets the value of the isAgent property.

    - #### setIsAgent

          public void setIsAgent(boolean value)

      Sets the value of the isAgent property.

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int value)

      Sets the value of the siteID property.

    - #### withLocation

          public LoginInfoEx withLocation(Location value)

    - #### withMessage

          public LoginInfoEx withMessage(java.lang.String value)

    - #### withUserID

          public LoginInfoEx withUserID(int value)

    - #### withIsAgent

          public LoginInfoEx withIsAgent(boolean value)

    - #### withSiteID

          public LoginInfoEx withSiteID(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.